clear all 
version 12
do "/home/home11/ncerdc/ncerdc/family_spillovers/directory.do"

cd $data
cd MB

use mb_2007_pub.dta, clear
gen year=2007
keep mastid year frl

gen free_redu_l= 1 if frl=="F" | frl=="R" | frl=="T"
replace free_redu_l=0 if frl=="N"

drop frl

duplicates drop *, force

egen frl=max(free_redu_l), by(mastid)
drop free_redu_l

duplicates drop mastid, force
cd $data
save frl_2007.dta, replace
