clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

cd $logs 
log using 2coursemembership_clean, replace

*********
INPUT: 1crs_memb2007_2012.dta
*********

********
OUTPUT: 2crs_memb2007_2012.dta
********


cd $data
use 1crs_memb2007_2012.dta, clear
keep if grade>2
keep if grade<9 

 
tab nstudents
g schlcode_fl =real(schlcode)

gen lea_r = real(lea)
replace lea_r = 1001 if lea=="32B"
replace lea_r = 1002 if lea=="60D"
replace lea_r = 1003 if lea=="10A"
replace lea_r = 1004 if lea=="81A"
replace lea_r = 1005 if lea=="19B"
replace lea_r = 1006 if lea=="86T"
replace lea_r = 1007 if lea=="49E"
replace lea_r = 1008 if lea=="92N"
replace lea_r = 1009 if lea=="65A"
replace lea_r = 1010 if lea=="60I"
replace lea_r = 1011 if lea=="92F"
replace lea_r = 1012 if lea=="63B"
replace lea_r = 1013 if lea=="92D"
replace lea_r = 1014 if lea=="92E"
replace lea_r = 1015 if lea=="41B"
replace lea_r = 1016 if lea=="32L"
replace lea_r = 1017 if lea=="32K"
replace lea_r = 1018 if lea=="63A"
replace lea_r = 1019 if lea=="92G"
replace lea_r = 1020 if lea=="32D"
replace lea_r = 1021 if lea=="90A"
replace lea_r = 1022 if lea=="07A"
replace lea_r = 1023 if lea=="11A"
replace lea_r = 1024 if lea=="92S"
replace lea_r = 1025 if lea=="45A"
replace lea_r = 1026 if lea=="60L"
replace lea_r = 1027 if lea=="11B"
replace lea_r = 1028 if lea=="69A"
replace lea_r = 1029 if lea=="19A"
replace lea_r = 1030 if lea=="93A"
replace lea_r = 1031 if lea=="49B"
replace lea_r = 1032 if lea=="32A"
replace lea_r = 1033 if lea=="60K"
replace lea_r = 1034 if lea=="51A"
replace lea_r = 1035 if lea=="60J"
replace lea_r = 1036 if lea=="92B"
replace lea_r = 1037 if lea=="98A"
replace lea_r = 1038 if lea=="36B"
replace lea_r = 1039 if lea=="13A"
replace lea_r = 1040 if lea=="64A"
replace lea_r = 1041 if lea=="34C"
replace lea_r = 1042 if lea=="60B"
replace lea_r = 1043 if lea=="01B"
replace lea_r = 1044 if lea=="01C"
replace lea_r = 1045 if lea=="60G"
replace lea_r = 1046 if lea=="92R"
replace lea_r = 1047 if lea=="54B"
replace lea_r = 1048 if lea=="55A"
replace lea_r = 1049 if lea=="49D"
replace lea_r = 1050 if lea=="41C"
replace lea_r = 1051 if lea=="92Q"
replace lea_r = 1052 if lea=="34B"
replace lea_r = 1053 if lea=="34D"
replace lea_r = 1054 if lea=="73A"
replace lea_r = 1055 if lea=="92M"
replace lea_r = 1056 if lea=="36A"
replace lea_r = 1057 if lea=="79A"
replace lea_r = 1058 if lea=="36C"
replace lea_r = 1059 if lea=="91A"
replace lea_r = 1060 if lea=="78A"
replace lea_r = 1061 if lea=="88A"
replace lea_r = 1062 if lea=="32H"
replace lea_r = 1063 if lea=="73B"
replace lea_r = 1064 if lea=="54A"
replace lea_r = 1065 if lea=="50A"
replace lea_r = 1066 if lea=="20A"
replace lea_r = 1067 if lea=="86A"
replace lea_r = 1068 if lea=="97D"
replace lea_r = 1069 if lea=="60F"
replace lea_r = 1070 if lea=="68A"
replace lea_r = 1071 if lea=="06B"
replace lea_r = 1072 if lea=="34G"
replace lea_r = 1073 if lea=="96C"
replace lea_r = 1074 if lea=="34F"
replace lea_r = 1075 if lea=="16B"
replace lea_r = 1076 if lea=="60C"
replace lea_r = 1077 if lea=="65B"
replace lea_r = 1078 if lea=="87A"
replace lea_r = 1079 if lea=="95A"
replace lea_r = 1080 if lea=="11K"
replace lea_r = 1081 if lea=="26B"
replace lea_r = 1082 if lea=="24N"
replace lea_r = 1083 if lea=="32C"
replace lea_r = 1084 if lea=="92I"
replace lea_r = 1085 if lea=="81B"
replace lea_r = 1086 if lea=="91B"
replace lea_r = 1087 if lea=="35A"
replace lea_r = 1088 if lea=="60A"
replace lea_r = 1089 if lea=="41D"
replace lea_r = 1090 if lea=="66A"
replace lea_r = 1091 if lea=="41F"
replace lea_r = 1092 if lea=="01D"
replace lea_r = 1093 if lea=="92L"
replace lea_r = 1094 if lea=="12A"

egen sfe = group(schlcode_fl lea_r)
egen schgryr=group(schlcode_fl lea_r year grade)


sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents sex ethnic birthdt collection_code   

duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents sex ethnic birthdt collection_code if year<2009, force
	   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents sex ethnic birthdt collection_code if year>2008, force
	   
sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents sex ethnic

duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents sex ethnic if year<2009, force
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents if year<2009, gen(dup1a)
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents collection_code if year>2008, gen(dup1b)

tab sex if dup1a==1
tab sex if dup1b==1	   

sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents   
   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents if year<2009, force
	   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse statecourse ///
	   nstudents collection_code if year>2008, force
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse ///
	   nstudents if year<2009, gen(dup2a)
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse ///
	   nstudents collection_code if year>2008, gen(dup2b)
	   
tab statecourse if dup2a==1
tab statecourse if dup2b==1
sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse ///
	   nstudents

duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode localcourse ///
	   nstudents if year<2009, force
	   
drop if dup2b==1 & regexm(statecourse,"SEM 2")==1	   

duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode ///
	   nstudents if year<2009, gen(dup3a)
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode ///
	   nstudents collection_code if year>2008, gen(dup3b)

tab localcourse if dup3a==1
tab localcourse if dup3a==2

sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode ///
	   nstudents  
  
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode ///
	   nstudents if year<2009,force
	   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid meetingcode ///
	   nstudents collection_code if year>2008, force  
	   
*Meeting code
sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid 

duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid  ///
	   nstudents if year<2009, force
	   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid  ///
	   nstudents collection_code if year>2008, force
  
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid if year<2009, gen(dup4a)
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid collection_code if year>2008, gen(dup4b)
	   
tab semester if dup4a>=1
tab semester if dup4b>=1  


sort mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid  
  
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid if year<2009, force
	   
duplicates drop mastid lea_r schlcode_fl grade year coursetitle section ///
           semester teachid collection_code if year>2008, force


duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester if year<2009, gen(dup5a)
	   
duplicates tag mastid lea_r schlcode_fl grade year coursetitle section ///
           semester collection_code if year>2008, gen(dup5b)

cd $data
save 2crs_memb2007_2012.dta, replace 

	   
	     	   	  		   
